<template>
    <Page class="page">
      <ActionBar class="action-bar">
        <NavigationButton visibility="hidden"/>
        <GridLayout columns="50, *">
          <Label class="action-bar-title" text="Home" colSpan="2"/>

          <Label class="fas" text.decode="&#xf0c9;" @tap="onDrawerButtonTap"/>
        </GridLayout>
      </ActionBar>

        <ScrollView>
          <Calendar></Calendar>
        </ScrollView>
    </Page>
</template>

<script>
  import * as utils from "~/shared/utils";
  import { SelectedPageService } from "../shared/selected-page-service";
  import Calendar from './Calendar'

  export default {
    mounted() {
        SelectedPageService.getInstance().updateSelectedPage("Home");
    },
    computed: {
        message() {
            return "<!-- Page content goes here -->";
        }
    },
    methods: {
        onDrawerButtonTap() {
            utils.showDrawer();
        }
    },
    components: { Calendar }
};
</script>

<style scoped lang="scss">
    // Start custom common variables
    @import '@nativescript/theme/scss/variables/blue';
    // End custom common variables

    // Custom styles
</style>
